@import url('https://fonts.googleapis.com/css2?family=Barlow:wght@200;400;500;600;700;900&family=Bellefair&family=Poppins:wght@200;300;400;500;700;800;900&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    /*font-family: 'Barlow', sans-serif;
    font-family: 'Bellefair', serif;*/
    font-family: 'Poppins', sans-serif;
}

:root{
    --background: #141217;
    --background-second: #17151b;
    --secondary-color: #B9914D;
    --primary-color: #F9F8FB;
    --underline-color: #878192;
    --secondary-underline-color: #a29ea9;
}

.topbar{
    background-color: #0c0b0d;
}

.nav-middle-segment{
    display: flex;
    justify-content: center;
}

.nav-middle-segment a{
    margin: 24px;
    color: #F9F8FB;
    font-size: 1.1rem;
    text-decoration: none;
}

.navbar{
    display: flex;
    align-items: center;
}

.nav-logo img{
    height: 75px;
    width: 110px;
    object-fit: cover;
    filter: drop-shadow(0 0 3px crimson);
}

.nav-logo{
    display: flex;
    position: absolute;
    align-items: center;
    left: 20px;
    top: 0;
}

.nav-logo span{
    position: absolute;
    top:20px;
    left: 70px;
    width: 150px;
}

.landingpage-left p{
    color: var(--primary-color);
    font-family: 'Barlow', sans-serif;
    font-size: 2.2rem;
    font-weight: 700;
    width: 500px;
    padding-bottom: 20px;
}

.landingpage-left{
    transform: translate(0%,60%);
    padding-left: 7%;
}

.landingpage-left button{
    margin-bottom: 20px;
    width: 140px;
    height: 40px;
    background-color: transparent;
    color: var(--primary-color);
    border: 2px solid var(--primary-color);
    transition: .3s linear;
}

.landingpage-left button:hover{
    background: var(--primary-color);
    color: var(--background);
    cursor: pointer;
}

.landingpage-body img{
    position: absolute;
    height: 500px;
    object-fit: cover;
    z-index: -1;
    filter: brightness(30%);
    width: 100%;
}

.landingpage-body{
    height: 500px;
}

.time-location{
    display: flex;
    color: var(--primary-color);
}

.schedule{
    display: flex;
    flex-direction: column;
    width: 180px;
}

.provided{
    display: flex;
    justify-content: center;
    background-color: var(--background);
    color: var(--primary-color);
    font-size: 2rem;
    font-weight: 500;
    padding-bottom: 60px;
    padding-top: 100px;
}

.specialty{
    display: flex;
    justify-content: space-evenly;
    background-color: var(--background);
    padding-top: 100px;
    height: 250px;
    padding-bottom: 150px;
    align-items: center;
}


.specialty-first{
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: var(--primary-color);
    align-items: center;
    font-size: 1.6rem;
    font-weight: 500;
}

.specialty-second{
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: var(--primary-color);
    align-items: center;
    font-size: 1.6rem;
    font-weight: 500;
}


.specialty-third{
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: var(--primary-color);
    align-items: center;
    font-size: 1.6rem;
    font-weight: 500;
}

.specialty span{
    margin-bottom: 10px;
}


.about-us{
    display: flex;
    justify-content: center;
    background-color: var(--background-second);
    height: 650px;
    align-items: center;
    padding-top: 30px;
    padding-bottom: 30px;
}

.about-us-box{
    background-color: rgb(32, 32, 32);
    color: var(--primary-color);
    width: 500px;
    height: 300px;
    padding-left: 70px;
    padding-right: 70px;
    box-shadow: 0 0 30px #29232e;
}

.about-us-box span{
    display: flex;
    font-size: 1.8rem;
    font-weight: 500;
    padding-bottom: 40px;
    padding-top: 40px;
}

.about-us img{
    object-fit: cover;
    height: 300px;
    width: 250px;
    box-shadow: 0 0 30px #29232e;
}


.our-menu{
    display: flex;
    justify-content: center;
    background-color: var(--background);
    align-items: center;
    height: 830px;
    padding-top: 10px;
}

.our-menu img{
    width: 400px;
    box-shadow: 0 0 50px#1e1b22;
}

.menu-right{
    margin-left: 40px;

}

.top-menu{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 40px;
    font-weight: 800;
    letter-spacing: 3px;
    font-size: 1.6rem;
    color: var(--primary-color);
    font-family: 'Bellefair', serif;
}

.top-menu::before{
    content: '';
    position: absolute;
    bottom: -10px;
    width: 180px;
    height: 2px;
    background-color: white;
    box-shadow: 0 0 8px var(--underline-color);
    z-index: 2;
}

.top-menu span{
    margin: 4px;
}

.dish{
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.dish span{
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 600;
    letter-spacing: 1px;
    color: var(--primary-color);
}

.dish p{
    margin-left: 100px;
    font-weight: 500;
    font-size: .9rem;
    position: relative;
    margin-top: 4px;
    color: var(--secondary-color);
}


.dish p::before{
    content: '';
    position: absolute;
    top: 10px;
    left: -88px;
    height: 1px;
    width: 77px;
    background-color: var(--secondary-color);
    box-shadow: 0 0 4px var(--secondary-color);
}

.product-content{
    margin-bottom: 30px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: .7rem;
    font-weight: 600;
    color: var(--underline-color);
    width: 200px;
}

.imprint{
    background-color: #0c0b0d;
    color: white;
    display: flex;
    flex-direction: column;
    height: 200px;
}

.contact{
    background-color: #0c0b0d;
    color: white;
    display: flex;
    flex-direction: column;
}

.contact-imprint{
    display:flex;
    background-color: #0c0b0d;
    justify-content: space-evenly;
    padding-top: 20px;
}

@media screen and (max-width: 850px) {

    body{
        overflow-x: hidden;
    }

    .our-menu {
    display: flex;
    flex-direction: column;
    height: auto;
    }

    /*Option 1*/
    /*
    .our-menu img{
        padding-top: 50px;
    }

    .menu-right{
        padding-top: 35px;
        padding-bottom: 75px;
    }
    */

    /*Option 2*/

    .our-menu img{
        display: none;
    }

    .our-menu{
        padding:80px;
    }

    .nav-middle-segment a{
        opacity: 0;
        pointer-events: none;
    }

    .nav-logo{
        position: absolute;
        left: 50%;
        transform: translate(-50%, 0);
    } 

    .landingpage-left p{
        width: 400px;
    }


    .provided{
        padding-bottom: 0px;
        margin-bottom: 0;
        padding-top: 50px;
    }

    .specialty{
        display: flex;
        height: auto;
        flex-direction: column;
    }

    .specialty div{
        padding-bottom: 40px;
    }

    .about-us{
        display: flex;
        flex-direction: column;
        height: 750px;
    }

    .about-us-box{
        width: 400px;
    }

    .about-us img{
        width: 400px;
        height: 400px;
    }


    .time-location{
        display: flex;
        flex-direction: column;
    }

    .schedule{
        padding-left: 30px;
        width: auto;
        padding-bottom: 13px;
    }

    .time-location a{
        padding-left: 33px;
    }

    .landingpage-body{
        height: 600px;
    }

    .landingpage-body img{
        height: 600px;
    }

    .landingpage-left{
        transform: translate(0%,45%);
        padding-left: 7%;
    }

    .contact-imprint{
        display: flex;
        flex-direction: column;
        padding-bottom: 50px;
        padding-left: 30px;
    }

}
